#!/bin/sh
device=$1

devid=$(lsinput -s "$1" 2>&1 | awk '{print $2}')
productid=$(echo "${devid}" | cut -d':' -f2)
vendorid=$(echo "${devid}" | cut -d':' -f1)

cat <<EOF
ACTION=="add", SUBSYSTEM=="input", \\
ATTRS{id/vendor}=="${vendorid}", ATTRS{id/product}=="${productid}", \\
OWNER="${USER}", \\
TAG+="systemd", \\
PROGRAM='/usr/bin/systemd-escape -p --template=sino@.service \$env{DEVNAME}', \\
ENV{SYSTEMD_USER_WANTS}+="%c"
EOF
